#pragma once

#include <map>

namespace game {

struct levelStatistic
{
    int score;
    int maxCombo;
    int played;
    float grade;
};

class Statistic
{
private:
    std::map<std::string, levelStatistic*> data;
public:
    Statistic();
    ~Statistic();

    const levelStatistic *GetLevelStatistic(const std::string&);
    void GetLevelStatistic(const std::string&, levelStatistic*);

    void SetLevelStatistic(const std::string&, const levelStatistic*);

    void Load();
    void Save();
private:

    void Clear();
};

}


